<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Services\Admin\HistoryService;
use Yajra\DataTables\DataTables;
use Illuminate\Http\Request;

class HistoryController extends Controller
{
    protected $history;

    public function __construct(HistoryService $historyService)
    {
        parent::__construct();
        $this->history = $historyService;
    }

    public function index(Request $request)
    {
        $data = $this->history->getAll($request->startDate, $request->endDate);
        return DataTables::of($data)->make();
    }

    public function detail($agent_id, $stat_date, $end_date)
    {
        $data = $this->history->getDataById($agent_id, $stat_date, $end_date);
        return DataTables::of($data)->make();
    }

    public function detail_person($agent_id, $stat_date, $end_date)
    {
        $this->response->data = $this->history->detail_person($agent_id, $stat_date, $end_date);
        return $this->json();
    }

    public function attendance()
    {
        return $this->history->getDataAttendance();
    }

    public function attendance_detail($agent_id)
    {
        return $this->history->getDataAttendanceDetail($agent_id);
    }
}
