<?php

namespace App\Http\Controllers\Admin\Landing;

use App\Http\Controllers\Controller;
use App\Services\Admin\Landing\CallCenterService;
use Illuminate\Http\Request;

class CallCenterController extends Controller
{
    protected $callCenter;

    public function __construct(CallCenterService $callCenterService) {
        parent::__construct();
        $this->callCenter = $callCenterService;
    }

    public function index()
    {
        $data = $this->callCenter->getAll();
        $this->response->data = $data;
        return $this->json();
    }

    public function update(Request $request)
    {
        $request->validate([
			'description' => 'required'
        ]);

        $this->callCenter->updateData($request->description);
        $this->response->message = __('resources.update_success');
        return $this->json();
    }

    public function description_image(Request $request)
    {
        $this->response->data = $this->callCenter->descriptionImage($request->file);
        $this->response->message = __('resources.create_success');
        return $this->json();
    }
}
