<?php

namespace App\Http\Controllers\Admin\Landing;

use App\Http\Controllers\Controller;
use App\Services\Admin\Landing\SosialMediaService;
use Illuminate\Http\Request;

class SosialMediaController extends Controller
{
    protected $sosialMedia;

    public function __construct(SosialMediaService $sosialMediaService)
    {
        parent::__construct();
        $this->sosialMedia = $sosialMediaService;
    }

    public function index()
    {
        $data = $this->sosialMedia->getAll();
        $this->response->data = $data;
        return $this->json();
    }

    public function update(Request $request)
    {
        $this->sosialMedia->updateData($request->instagram, $request->facebook, $request->twitter, $request->tiktok);
        $this->response->message = __('resources.update_failed');
        return $this->json();
    }
}
