<?php

namespace App\Http\Controllers\Agent;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Services\Agent\MenuService;
use Yajra\DataTables\DataTables;

class MenuController extends Controller
{
    protected $menu;

    public function __construct(MenuService $menuService) {
        parent::__construct();
        $this->menu = $menuService;
    }

    public function get_all(){
        $data = $this->menu->getAll();
        return DataTables::of($data)->make(); 
    }

    public function index(){
        $data = $this->menu->getParentMenu();
        return DataTables::of($data)->make(); 
    }

    public function detail(Request $request, $menu){
        $data = $this->menu->getMenuByName($menu);

        $this->response->data = $data;
        return $this->json();
    }
}
