<?php

namespace App\Repositories\Admin;

use App\Models\Menu;

class MenuRepository
{
    private $model;

    public function __construct(Menu $model)
    {
        $this->model = $model;
    }

    public function getAll()
    {
        return $this->model->where('parent_id', null)->orderBy('position');
    }

    public function createData($name, $menu_type_id, $parent_id, $position, $description, $banner, $document)
    {
        return $this->model->create([
            'name' => $name,
            'menu_type_id' => $menu_type_id,
            'parent_id' => $parent_id,
            'position' => $position,
            'description' => $description,
            'image' => $banner,
            'document' => $document
        ]);
    }

    public function getDataById($id)
    {
        return $this->model->where('id', $id)->with('get_parent')->first();
    }

    public function updateData($id, $name, $menu_type_id, $parent_id, $position, $description, $banner, $document)
    {
        return $this->getDataById($id)->update([
            'name' => $name,
            'menu_type_id' => $menu_type_id,
            'parent_id' => $parent_id,
            'position' => $position,
            'description' => $description,
            'image' => $banner,
            'document' => $document,
        ]);
    }

    public function deleteData($id)
    {
        return $this->getDataById($id)->delete();
    }

    public function childMenu($id)
    {
        return $this->getDataById($id)->parent()->orderBy('position');;
    }
}
