<?php

namespace App\Repositories\Admin;

use App\Models\Notification;

class NotificationRepository
{
    public $model;

    public function __construct(Notification $model)
    {
        $this->model = $model;
    }

    public function getAll()
    {
        return $this->model->latest();
    }

    public function createData($title, $body, $banner)
    {
        return $this->model->create([
            'title' => $title,
            'body' => $body,
            'banner' => $banner
        ]);
    }

    public function getDataById($id)
    {
        return $this->model->where('id', $id)->first();
    }

    public function updateData($id, $title, $body, $banner)
    {
        return $this->getDataById($id)->update([
            'title' => $title,
            'body' => $body,
            'banner' => $banner
        ]);
    }

    public function deleteData($id)
    {
        return $this->getDataById($id)->delete();
    }



}
