<?php

namespace App\Repositories\Agent;

use App\Models\Agent;

class AgentRepository
{
    private $model;

    public function __construct(Agent $model)
    {
        $this->model = $model;
    } 

    public function getDetailByAgentCode($agentCode)
    {
        return $this->model->where('agent_code', $agentCode)->first();
    }

    public function updateData($agent_code, $username, $password, $email, $phone_number, $address, $birth)
    {
        $agent = $this->getDetailByAgentCode($agent_code);
        return $agent->update([
            'username' => $username,
            'password' => is_null($password) ? $agent->password : bcrypt($password),
            'email' => $email,
            'phone_number' => $phone_number,
            'address' => $address,
            'birth' => $birth,
        ]);
    }

    public function updateToken($id, $deviceToken)
    {
        $data = $this->model->where('id', $id)->first();
        return $data->update([
            'device_token' => $deviceToken
        ]);
    }
}
