<?php

namespace App\Repositories\Agent;

use App\Models\Notification;

class NotificationRepository
{
    private $model;

    public function __construct(Notification $model)
    {
        $this->model = $model;
    } 

    public function getAllByLimit($limit)
    {
        return $this->model->latest('created_at')
        ->skip($limit * 10 - 10)
        ->take(10)
        ->get();
    }

    public function getDataById($id)
    {
        return $this->model->where('id', $id)->first();
    }
}