<?php

namespace App\Repositories\Agent;

use App\Models\Schedule;

class ScheduleRepository
{
    private $model;

    public function __construct(Schedule $model)
    {
        $this->model = $model;
    } 

    public function getAll()
    {
        return $this->model->get();
    }

    public function getDetailByDate($firstDate, $lastDate)
    {
        return $this->model->whereBetween('time',[$firstDate, $lastDate])->get();
    }

    public function getAllByLimit($limit)
    {
        return $this->model->latest('created_at')
        ->skip($limit * 10 - 10)
        ->take(10)
        ->get();
    }

    public function getDataById($id)
    {
        return $this->model->where('id', $id)->first();
    }
}
