<?php

namespace App\Services\Agent;

use App\Repositories\Agent\AgentRepository;
use App\Services\Exception\ServiceException;
use Illuminate\Support\Facades\Hash;

class AgentService
{
    protected $agent;

    public function __construct(AgentRepository $agent)
    {
        $this->agent = $agent;
    }

    public function createToken($agent_code, $password)
    {
        $agent = $this->agent->getDetailByAgentCode($agent_code);
        // Check password
        if (!$agent || !Hash::check($password, $agent->password)) {
            throw new ServiceException('101');
        }

        if(!$agent->verified){
            throw new ServiceException('102');
        }

        $token = $agent->createToken('myapptoken')->plainTextToken;

        return [
            'user' => $agent,
            'token' => $token
        ];
    }

    public function updateData($agent_code, $username, $password, $email, $phone_number, $address, $birth)
    {
        return $this->agent->updateData($agent_code, $username, $password, $email, $phone_number, $address, $birth);
    }

    public function updateToken($id, $deviceToken)
    {
        return $this->agent->updateToken($id, $deviceToken);
    }
}
