<?php

namespace App\Services\Exception;

use Illuminate\Http\JsonResponse;

class ResponseException extends \Exception
{
    /**
     * @var JsonResponse
     */
    public $response;

    public function __construct(JsonResponse $response)
    {
        parent::__construct('', 200, null);
        $this->response = $response;
    }

    public function getStatusCode(): int
    {
        return 200;
    }

    public function getHeaders(): array
    {
        return [];
    }

    public function getResponse(): JsonResponse
    {
        return $this->response;
    }
}