<?php

namespace App\Services\Exception;

use Illuminate\Support\Facades\Lang;

class ServiceException extends ResponseException implements ServiceExceptionInterface
{
    private $errorCode = [
        '000' => 'Data not available',
        '001'  =>  'Data has already been disabled',
        '002'   => 'Data has already been restored',
        '003'   =>  'Data has already been approved',
        '004'   =>  'Data has already been rejected',

        '100' => 'Authentication failed',
        '101'   =>  'These credentials do not match our records.',
        '102'   =>  'Agent not verified',
    ];

    public function __construct($error)
    {
        parent::__construct(response()->json([
            'code'     => $error,
            'message'   => $this->errorCode[$error]
        ]));
    }
}