<?php

namespace App\Services\Landing;

use App\Repositories\Admin\SliderRepository;
use App\Services\Exception\ServiceException;

class SliderService
{
    protected $slider;

    public function __construct(SliderRepository $slider)
    {
        $this->slider = $slider;
    }

    public function getAll()
    {
        return $this->slider->index();
    }

    public function getDataById($id)
    {
        $data = $this->checkAvailability($id);
        return $data;
    }

    public function checkAvailability($id)
    {
        $data = $this->slider->detail($id);
        if(is_null($data)){
            throw new ServiceException('000');
        }

        return $data;
    }
}
