FROM php:8.1.0-fpm-buster

RUN apt-get update && \
    apt-get install -y zip apt-utils re2c g++ zlib1g zlib1g-dbg zlib1g-dev zlibc

RUN apt-get install -y cron make nano

RUN apt-get install -y --no-install-recommends libfreetype6-dev libjpeg-dev libpng-dev libwebp-dev libzip-dev  \
    # gd
    && docker-php-ext-configure gd --with-freetype --with-jpeg \
    && docker-php-ext-install gd \
    # gmp
    && apt-get install -y --no-install-recommends libgmp-dev \
    && docker-php-ext-install gmp
    # pdo_mysql
RUN docker-php-ext-install pdo_mysql \
    # opcache
    && docker-php-ext-enable opcache \
    # zip
    && docker-php-ext-install zip \
    # bcmath
    && docker-php-ext-install bcmath \
    # mysql
    && docker-php-ext-install mysqli \
    # exif
    && docker-php-ext-install exif

RUN pecl install redis
RUN docker-php-ext-enable redis

    # clean up
RUN apt-get autoclean -y \
    && rm -rf /var/lib/apt/lists/* \
    && rm -rf /tmp/pear/

RUN curl --silent --show-error https://getcomposer.org/installer | php && \
    mv composer.phar /usr/local/bin/composer

COPY php/custom.ini /usr/local/etc/php/conf.d/custom.ini

WORKDIR /var/www/html

RUN chown -R www-data:www-data /var/www/html

COPY html/index.php /var/www/html