<?php

namespace Database\Seeders;

use App\Models\Agent;
use Exception;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;

class AddAgentCodeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->logger = Log::channel('seeder');

        $data = Agent::get();

        DB::beginTransaction();

        foreach($data as $dt){
            try{
                $dt->agent_code = $dt->username;
                $dt->save();

                DB::commit();
            }catch(Exception $e){
                DB::rollback();
                $this->logger->error($e->getMessage());
            }
        }
    }
}
